Subject: Re: [Patch net 2/4] Add test case to check for pfifo_tail_enqueue() behaviour when limit == 0

From: Simon Horman <[email-masked]>
Date: Mon, 27 Jan 2025 17:54:53 +0000

On Sat, Jan 25, 2025 at 07:52:39PM -0800, Cong Wang wrote:
> On Sat, Jan 25, 2025 at 07:20:42PM -0800, Cong Wang wrote:
> > On Fri, Jan 24, 2025 at 11:37:43AM +0000, Simon Horman wrote:
> > > On Thu, Jan 23, 2025 at 10:07:38PM -0800, Cong Wang wrote:
> > > > From: Quang Le <[email-masked]>
> > > > 
> > > > When limit == 0, pfifo_tail_enqueue() must drop new packet and
> > > > increase dropped packets count of scheduler.
> > > > 
> > > > Signed-off-by: Quang Le <[email-masked]>
> > > > Signed-off-by: Cong Wang <[email-masked]>
> > > 
> > > Hi Cong, all,
> > > 
> > > This test is reporting "not ok" in the Netdev CI.
> > > 
> > > # not ok 577 d774 - Check pfifo_head_drop qdisc enqueue behaviour when limit == 0
> > > # Could not match regex pattern. Verify command output:
> > > # qdisc pfifo_head_drop 1: root refcnt 2 limit 0p
> > > #  Sent 0 bytes 0 pkt (dropped 0, overlimits 0 requeues 0)
> > > #  backlog 0b 0p requeues 0
> > 
> > Oops... It worked on my side, let me take a look.
> > 
> 
> I ran it again for multiple times, it still worked for me:
> 
> 1..16
> ok 1 a519 - Add bfifo qdisc with system default parameters on egress
> ok 2 585c - Add pfifo qdisc with system default parameters on egress
> ok 3 a86e - Add bfifo qdisc with system default parameters on egress with handle of maximum value
> ok 4 9ac8 - Add bfifo qdisc on egress with queue size of 3000 bytes
> ok 5 f4e6 - Add pfifo qdisc on egress with queue size of 3000 packets
> ok 6 b1b1 - Add bfifo qdisc with system default parameters on egress with invalid handle exceeding maximum value
> ok 7 8d5e - Add bfifo qdisc on egress with unsupported argument
> ok 8 7787 - Add pfifo qdisc on egress with unsupported argument
> ok 9 c4b6 - Replace bfifo qdisc on egress with new queue size
> ok 10 3df6 - Replace pfifo qdisc on egress with new queue size
> ok 11 7a67 - Add bfifo qdisc on egress with queue size in invalid format
> ok 12 1298 - Add duplicate bfifo qdisc on egress
> ok 13 45a0 - Delete nonexistent bfifo qdisc
> ok 14 972b - Add prio qdisc on egress with invalid format for handles
> ok 15 4d39 - Delete bfifo qdisc twice
> ok 16 d774 - Check pfifo_head_drop qdisc enqueue behaviour when limit == 0
> 
> Could you provide a link for me to check?

I'll send you some links off-list.

> 
> Just in case, please make sure patch 1/4 is applied before this test,
> otherwise packets would not be dropped.

Yes, I am pretty sure that is the case.

> 
> Meanwhile, I do need to update this patch anyway, because it hardcoded
> dummy2...
> 
> Thanks.
>